# Function UseHideFunction

- UseHideFunction(hideFunction, options?): ((target, propertyKey) => void)

- #### Parameters

  - hideFunction: ControlHideShowFunction<any>
  - options: ControlHideShowOptions = {}

  #### Returns ((target, propertyKey) => void)

  - - (target, propertyKey): void

    - #### Parameters

      - target: any
      - propertyKey: string

      #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:51